Subject: Re: [ANNOUNCE] Git 1.7.10-rc0

From: Thomas Rast <[email-masked]>
Date: Thu, 8 Mar 2012 11:17:50 +0100

Junio C Hamano <[email-masked]> writes:

>  * Parallel to the test suite, there is a beginning of performance
>    benchmarking framework.

I just noticed that this does not work on OS X; its 'time' does not
support the -f option.  For now I think I'm happy; it can compare
several versions of Git on Linux to detect performance improvements or
regressions.  Comparability across systems or platforms was never a main
goal.

In the long run we'll have to change it to either use 'time -p'
everywhere and parse that into shape -- at least GNU and OS X agree on
what POSIX specifies ;-) -- or just supply a small helper utility that
does the timings for us in a ready-to-use format.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch